package Common.Visual.Controls;
import Common.MainModule_;
import Common.Visual.Themes.ThemeElement;

import javax.swing.*;
public class StyledProgressBar extends JProgressBar implements ThemeElement {
    public StyledProgressBar() {
        setStringPainted(true);
        applyTheme();
    }
    @Override
    public void applyTheme() {
        setBackground(MainModule_.instance.getUI().getTheme().bar_background);
        setForeground(MainModule_.instance.getUI().getTheme().bar_foreground);
    }
}
